Subject: Re: [PATCH] git-rebase.txt: Mention that --whitespace cannot be used with interactive rebase.

From: Mark Burton <[email-masked]>
Date: Thu, 12 Feb 2009 11:32:52 +0000

On Thu, 12 Feb 2009 11:58:25 +0100 (CET)
Johannes Schindelin <[email-masked]> wrote:

> Hi,
> 
> On Thu, 12 Feb 2009, Mark Burton wrote:
> 
> > 
> > Signed-off-by: Mark Burton <[email-masked]>
> > ---
> 
> Because it was not mentioned in the commit message, I only realized after 
> writing a patch that rebase -i --whitespace already errors out.
> 
> Would be nice to have important information like that (I mean that it is 
> already handled, not that I was stupid enough to write the patch) in the 
> commit message, don't you agree?

Actually, no.

I am very glad that the git guardians are diligent and careful because
it gives me confidence that my favourite software is going to work
reliably and efficiently, etc.

However, if that diligence and attention to detail, etc. extends to the
point where a humble git user (not a developer) cannot submit a patch that
he thinks will, in some small way, improve the software, without being
quizzed, grilled or, in extreme cases, mocked or abused (it happens)
because the patch is not 100% perfect in every way, then, I am happy to
let the development process continue without my feeble contributions.

So, I left something out of the commit message, did I? Oh my gawd, I
better top myself!

Johannes, you're the worst of the pedants. Ease up man, you'll bust a
blood vessel!

Cheerio list (keep up the good work),

Mark